/*
   H8/3048F Bootstrap EEPROM Programming
*/

#include "h83048addr.h"

int sgetch(void);
void sputch(int ch);

char buf[]="Hello. I am AKI-H8\r\n";

int main(void)
{
    unsigned char ch;
    int i;

    outb(SMR1,0);
    outb(BRR1,51);
    outb(SCR1,inb(SCR1)|0x30);

    ch=0;
    outb(PBDDR,0xff);
    while(1){
	for(i=0;buf[i];i++){
	    sputch(buf[i]);
	}
	outb(PBDR,0xff);
	sputch(ch++);
	outb(PBDR,0x00);
    }
}

int sgetch(void)
{
    unsigned char ch;
    while(!(inb(SSR1)&0x40));
    ch=inb(RDR1);
    outb(SSR1,inb(SSR1)& ~0x40);
    return (int)ch;
}

void sputch(int ch)
{
    while(!(inb(SSR1)&0x80));
    outb(TDR1,ch);
    outb(SSR1,inb(SSR1)& ~0x80);
}

#pragma interrupt
void int_adi(void)
{
}
















